package cz.moneta.test.dsl.payment_engine.enums;

import lombok.Getter;

@Getter
public enum TransactionReasonPAE {

    ARCHIV("Archiv (ARC)"),

    DISTRIBUTION("K distribuci (DST)"),

    NOSTRO("Nostro účtování (WNB)"),

    BUSINESS_ERROR("Založení blokace - business chyba (DSE)"),

    REPEAT("Nedostatek prostředků (opakování) (NSF)"),

    FUTURE_MATURITY("Budoucí splatnost (WRH)"),

    COVER_WAIT("Čekající na krytí (COV)"),

    IRREDUCIBLE("Nesměrovatelné (UNR)"),

    BLOCKED_DEBTOR("Blokovaný účet plátce (BOA)"),

    CLOSED_DEBTOR("Zavřený účet plátce (COA)"),

    INVALID_DEBTOR("Neplatný typ účtu plátce (TOA)"),

    SLEEPING_DEBTOR("Spící účet odesílatele (DOA)"),

    REJECT("Reject (RJC)"),

    RELEASE("Uvolnit (RLS)"),

    SENT("Odpověď odeslána (RIS)"),

    SENT_WAIT("Odesláno, čeká na odpověď (ISD)"),

    RETURN_FOCR("Přijatý Return FOCR (FRR)"),

    RETURN("Return (RET)"),

    AUTHORIZATION("K autorizaci (ATH)"),

    REDIRECT_TO_STARBUILD("Přesměrování do StarBuild (SBD)"),

    INGOING_WAIT("Příchozí: čekající"),

    INGOING_ARCHIV("Příchozí: archiv"),

    WITHOUT_MANDATE("Bez mandátu (NDA)"),

    BLACKLIST("Blacklist účtů (BLA)");

    private final String status;

    TransactionReasonPAE(String status) {
        this.status = status;
    }

}
